description

# DynamicLibrary class Null safety

Represents a dynamically loaded C library.

Available Extensions
  - DynamicLibraryExtension

## Constructors

DynamicLibrary.executable()
  Creates a dynamic library representing the running executable.
  factory
DynamicLibrary.open(String name)
  Loads a dynamic library file with local visibility. [...]
  factory
DynamicLibrary.process()
  Creates a dynamic library holding all global symbols. [...]
  factory

## Properties

handle → Pointer<Void>
  The handle to the dynamic library.
  read-only
hashCode → int
  The hash code for a DynamicLibrary only depends on the loaded library
  read-only, override
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

lookup<T extends NativeType>(String symbolName) → Pointer<T>
  Looks up a symbol in the DynamicLibrary and returns its address in memory. Equivalent of dlsym. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  Dynamic libraries are equal if they load the same library.
  override